using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping.Common;
using Syncfusion.Web.UI.WebControls.Shared;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
public partial class TestArrayBinding : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ArrayList array = new ArrayList();
            array.Add(new MyClass(001, "John David", 34356));
            array.Add(new MyClass(002, "Tom", 43366));
            array.Add(new MyClass(003, "Bretney", 43636));
            array.Add(new MyClass(004, "Jessy", 436636));
            array.Add(new MyClass(005, "Bruch", 463636));
            array.Add(new MyClass(006, "Johny", 245245));
            this.GridGroupingControl1.DataSource = array;
            
            this.GridGroupingControl1.DataSourceCachingMode=DataSourceCachingMode.ViewState;
        }
        if (!CheckBox1.Checked)
            ScriptManager1.RegisterPostBackControl(GridGroupingControl1);

        GridSummaryRowDescriptor summaryRow = new GridSummaryRowDescriptor();
        summaryRow.Name = "Salary";
        summaryRow.Title = "Salary";
        summaryRow.Visible = true;

        GridSummaryColumnDescriptor sumcol = new GridSummaryColumnDescriptor("Salary", SummaryType.DoubleAggregate, "Salary", "{Sum:#,###}");
        summaryRow.SummaryColumns.Add(sumcol);
        this.GridGroupingControl1.TableDescriptor.SummaryRows.Add(summaryRow);


    }
    [Serializable]
    public class MyClass
    {
        int id;
        string name;
        int sal;
        public MyClass(int id, string name, int sal)
        {
            this.ID = id;
            this.Name = name;
            this.sal= sal;
        }

        public int ID
        {
            get { return id; }
            set { id = value; }
        }

        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        public int Salary
        {
            get { return sal; }
            set { sal = value; }
        }
    }
}
